Subject: [Netconf] [Errata Verified] RFC8072 (5131)

From: RFC Errata System <[email-masked]>
Date: Thu, 12 Oct 2017 00:57:00 -0700 (PDT)

The following errata report has been verified for RFC8072,
"YANG Patch Media Type". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5131

--------------------------------------
Status: Verified
Type: Technical

Reported by: Robert Wilton <[email-masked]>
Date Reported: 2017-09-28
Verified by: Benoit Claise (IESG)

Section: 2.2

Original Text
-------------
Regarding section 2.2 of RFC 8072, the third paragraph states:

                                       ... If the edit does not identify
    any existing resource instance and the operation for the edit is not
    "create", then the request MUST NOT be processed and a "404 Not
    Found" error response MUST be sent by the server.

Corrected Text
--------------
                                      ... If the edit does not identify
   any existing resource instance and the operation for the edit is
   "delete" or "move" then the request MUST NOT be processed and a
   "404 Not Found" error response MUST be sent by the server.

Notes
-----
As per the second paragraph of section 2.2 of RFC 8072, the operations are expected to mirror the semantics of the "operation" attribute described in Section 7.2 of [RFC6241].

The spec also doesn't specify what happens if it is a "create" operation and the resource already exists.  It should probably also state that "400 Bad Request" is returned.

--------------------------------------
RFC8072 (draft-ietf-netconf-yang-patch-14)
--------------------------------------
Title               : YANG Patch Media Type
Publication Date    : February 2017
Author(s)           : A. Bierman, M. Bjorklund, K. Watsen
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG